Authenticate

Login to Violet using your App Secret and App Id, retrieved from channel.violet.io. This is required to receive an Access Token, which is used to authenticate requests made to Violet.

Login

post
Header parameters
X-Violet-App-SecretstringRequired

Please note that App Secrets are different depending on environment (test/live) please make sure you have retrieved the correct app secret from the Dashboard.

X-Violet-App-Idinteger · int32Required
Body

Login Request

usernamestringRequired

Username

passwordstringRequired

Password

Responses
chevron-right
default

default response

application/json

Login Response

idinteger · int64Read-onlyOptional
first_namestringRequired

The users first name

last_namestringRequired

The users last name

passwordstringRequired

The users raw desired password

emailstringRequired

The users unique email address

typestring · enumRequired

The allowed values for the user type

Possible values:
verifiedbooleanOptional

If a user has verified their emailed address

statusstring · enumOptional

The status of the user. Note the lower case possible values as opposed to other status enums, this is a legacy issue that is maintained for backwards compatibility.

Possible values:
date_createdstring · date-timeOptional

Date of creation

date_last_modifiedstring · date-timeOptional

Date of last update

tos_acceptedbooleanOptional

Terms of Service Accepted

payment_configuredbooleanOptional

Is the Users Payment Settings Configured

privacy_policy_acceptedbooleanOptional

Privacy Policy Accepted

country_codestring · enumOptional

Country Code

Possible values:
tokenstringOptional

Token

refresh_tokenstringOptional

Refresh Token

merchant_idinteger · int32Optional

Merchant ID. Should only be used during merchant validation. Expect property to be null.

merchant_idsinteger · int32[]Optional

Merchant IDs

store_urlstringOptional

Store Url

post
/login
default

default response

Last updated

Was this helpful?